package org.eclipse.cosmos.me.sdd.tooling.btg.aggregator.comparisons;

import org.eclipse.cosmos.me.sdd.schema.MaxVersionType;

public class MaxVersionCompare
{

	protected static boolean equals(MaxVersionType maxVersion, MaxVersionType maxVersion2)
	{
		if (maxVersion.isInclusive()!=maxVersion2.isInclusive())
			return false;
		if(StringCompare.equals(maxVersion.getValue(), maxVersion2.getValue()))
			return false;
		return true;
	}

}
